Bug 737806 - putversion: attributes defined in zanata.xml are not used.
Summary: putversion: attributes defined in zanata.xml are not used.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Maven
Version: 1.4-RC
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Runa Bhattacharjee
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 07:18 UTC by Ding-Yi Chen
Modified: 2013-03-04 02:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-17 03:23:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 737799 None None None Never

Internal Links: 737799

Description Ding-Yi Chen 2011-09-13 07:18:02 UTC
Description of problem:
For maven client, attributes such as url, project, project-version in
zanata.xml are not used on goal putproject.

Administrators do not have to type all the information which already contained
in zanata.xml 

How reproducible:
Always

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Assume zanata.xml is:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<config xmlns="http://zanata.org/namespace/config/">
    <url>http://zanata.server.com/</url>
    <project>AboutFedora</project>
    <project-version>f13</project-version>
    <locales>
        <locale map-from="ja-JP">ja</locale>
        <locale map-from="zh-CN">zh-Hans</locale>
    </locales>
</config>


2. Assume zanata.ini has following line:

zanata_1_4_auto.url=http://zanata.server.com/
zanata_1_4_auto.username=admin
zanata_1_4_auto.key=b6d7044e9ee3b2447c28fb7c50d86d98



3. mvn -e zanata:putversion

Actual results:
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:1.4-SNAPSHOT:putversion (default-cli) on project null: The parameters 'versionProject', 'versionSlug' for goal org.zanata:zanata-maven-plugin:1.4-SNAPSHOT:putversion are missing or invalid -> [Help 1]

org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.zanata:zanata-maven-plugin:1.4-SNAPSHOT:putversion (default-cli) on project null: The parameters 'versionProject', 'versionSlug' for goal org.zanata:zanata-maven-plugin:1.4-SNAPSHOT:putversion are missing or invalid



Expected results:
Version "f13" should be created for Project AboutFedora.

Comment 1 Sean Flanigan 2011-09-13 07:48:13 UTC
The testing commands putversion, putuser and putproject don't support zanata.xml, and it's not entirely trivial to implement.  You do have the option of putting the parameters into pom.xml.

But if you want this, it should be an enhancement request.


Note You need to log in before you can comment on or make changes to this bug.